<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  version="2.0">
    <jsp:directive.page contentType="application/xhtml+xml"/>
    <jsp:output doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
		doctype-root-element="html"
		omit-xml-declaration="false"/>

    <html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	    <title>Nekuřák.net</title>
	</head>
	<body>
	    <h1>Nekuřák.net</h1>
	    <p>Začínáme s J2EE…</p>


	    <!-- jednoduchá podmínka -->
	    <c:if test="${param.akce == 'informace'}">
		<p>Vypíšeme nějaké informace.</p>
	    </c:if>

	    <!-- složitější větvení -->
	    <c:choose>
		<!-- if -->
		<c:when test="${param.akce == 'seznam'}">
		    <p>Vypíšeme seznam hospod.</p>
		    <!-- Vytvoříme si instanci JavaBeany -->
		    <jsp:useBean id="podnikyWeb" class="cz.frantovo.nekurak.web.PodnikyWeb" scope="request"/>
		    <ul>
			<c:forEach var="p" items="${podnikyWeb.podniky}">
			    <!-- vypíšeme název podniku (měli bychom escapovat) -->
			    <li>${p.nazev}</li>
			</c:forEach>
		    </ul>
		</c:when>
		<!-- else if -->
		<c:when test="${param.akce == 'podrobnosti'}">
		    <p>Vypíšeme podrobnosti.</p>
		</c:when>
		<!-- else -->
		<c:otherwise>
		    <p>Zobrazíme úvodní stránku.</p>
		</c:otherwise>
	    </c:choose>


	    <!-- vložíme si obsah jiného souboru
		 obsah WEB-INF není přímo dostupný uživateli -->
	    <jsp:include page="WEB-INF/casti/paticka.jsp">
		<jsp:param name="rok" value="2010" />
	    </jsp:include>
	</body>
    </html>

</jsp:root>
